%global gitdate 20230222
%global cmakever 5.27.80
%global commit0 0f72ff481464edf577652b7401c639a87f937f89
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
Name:    kpipewire
Summary: Set of convenient classes to use PipeWire in Qt projects
Version: %{cmakever}^%{gitdate}.%{shortcommit0}
Release: 1%{?dist}

License: LGPLv2+
URL:     https://invent.kde.org/plasma/%{name}

Source0: %{name}-%{shortcommit0}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  plasma-wayland-protocols-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtwayland-devel

BuildRequires:  libavcodec-free-devel
BuildRequires:  libavutil-free-devel
BuildRequires:  libavformat-free-devel
BuildRequires:  libepoxy-devel
BuildRequires:  libdrm-devel
BuildRequires:  libswscale-free-devel
BuildRequires:  mesa-libgbm-devel
BuildRequires:  pipewire-devel
BuildRequires:  wayland-devel

Requires:       kf5-filesystem

%description
It is developed in C++ and it's main use target is QML components.
As it's what's been useful, this framework focuses on graphical PipeWire
features. If it was necessary, these could be included.

At the moment we offer two main components:

- KPipeWire: offers the main components to connect to and render
PipeWire into your app.
- KPipeWireRecord: using FFmpeg, helps to record a PipeWire video stream
into a file.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       kpipewire-devel = %{version}-%{release}
Provides:       kpipewire-devel%{?_isa} = %{version}-%{release}
Obsoletes:      kpipewire-devel <= 1:5.2.0
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{shortcommit0}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --with-qt --all-name
%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_libdir}/libKPipeWire.so.*
%{_libdir}/libKPipeWireDmaBuf.so.*
%{_libdir}/libKPipeWireRecord.so.*
%{_qt5_qmldir}/org/kde/pipewire/*
%{_kf5_datadir}/qlogging-categories5/*.categories

%files devel
%{_libdir}/libKPipeWire.so
%{_libdir}/libKPipeWireDmaBuf.so
%{_libdir}/libKPipeWireRecord.so
%dir %{_includedir}/KPipeWire
%{_includedir}/KPipeWire/*
%dir %{_libdir}/cmake/KPipeWire
%{_libdir}/cmake/KPipeWire/*.cmake

%changelog
* Wed Nov 09 2022 Marc Deop <marcdeop@fedoraproject.org> - 5.26.3-1
- 5.26.3

* Wed Oct 26 2022 Marc Deop <marcdeop@fedoraproject.org> - 5.26.2-1
- 5.26.2

* Thu Oct 06 2022 Marc Deop <marcdeop@fedoraproject.org> - 5.26.0-1
- 5.26.0

* Mon Sep 19 2022 Jan Grulich <jgrulich@redhat.com> - 5.25.90-1
- Initial package
